<?xml version="1.0"?>

<!-- ===================================================================== -->
<!-- = axim.xsl                                                         = -->
<!-- = afnix documentation xslt with xhtml output                        = -->
<!-- ===================================================================== -->
<!-- = This  program  is  free  software; you can redistribute it and/or = -->
<!-- = modify it provided that this copyright notice is kept intact.     = -->
<!-- = This program is distributed in the hope that it will be useful but= -->
<!-- = without  any  warranty; without  even  the  implied  warranty  of = -->
<!-- = merchantability or fitness for a  particular purpose. In no event = -->
<!-- = shall  the  copyright holder be liable for any  direct, indirect, = -->
<!-- = incidental  or special damages arising  in any way out of the use = -->
<!-- = of this software.                                                 = -->
<!-- ===================================================================== -->
<!-- = copyright (c) 2005-2005 - amaury darsch                           = -->
<!-- ===================================================================== -->

<xsl:stylesheet version="1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www.w3.org/1999/xhtml">

 <!-- select xhtml output mode -->
 <xsl:output method="xml" encoding="utf-8" indent="yes" 
  doctype-public="-//W3C//DTD XHTML 1.1//EN" 
  doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"/>

 <!-- load description files -->
 <xsl:include href="parm.xsl"/>
 <xsl:include href="info.xsl"/>
 <xsl:include href="body.xsl"/>
 <xsl:include href="blok.xsl"/>
 <xsl:include href="elem.xsl"/>
 <xsl:include href="priv.xsl"/>
 <xsl:include href="xref.xsl"/>

 <!-- info and body templates -->
 <xsl:template match="axim">
  <html>
   <head>
    <xsl:apply-templates select="info"/>
   </head>
   <body>
    <xsl:apply-templates select="body"/>
   </body>
  </html>
 </xsl:template>

</xsl:stylesheet>

