# ---------------------------------------------------------------------------
# - t_7501.als                                                              -
# - afnix:www library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   afnix:www cgi query test module
# @author amaury darsch

# get the library
interp:library "afnix-www"

# create a new query string
const  data  "name=hello&data=hello%40world"
const  query (afnix:www:CgiQuery    data)
assert true  (afnix:www:cgi-query-p query)

# and now check everything
assert data          (query:get-query)
assert 2             (query:length)
assert true          (query:exists-p "name")
assert true          (query:exists-p "data")
assert "hello"       (query:get "name")
assert "hello@world" (query:get "data")
assert 0             (query:lookup "name")
assert 1             (query:lookup "data")
assert "name"        (query:get-name  0)
assert "hello"       (query:get-value 0)
