# ---------------------------------------------------------------------------
# - t_7504.als                                                              -
# - afnix:www library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   afnix:www html element test module
# @author amaury darsch

# get the library
interp:library "afnix-www"

# check for a simple element
trans  elem       (afnix:www:HtmlElement "table")
assert true       (afnix:www:html-element-p elem)
assert "table"    (elem:get-name)
assert "<table>"  (elem:opening)
assert "</table>" (elem:closing)

# add tags to the element
elem:add-tag "class" "test"
elem:add-tag (afnix:www:HtmlTag "width" "100%")
assert "<table class=\"test\" width=\"100%\">" (elem:opening)
