# ---------------------------------------------------------------------------
# - t_7507.als                                                              -
# - afnix:www library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   afnix:www html reference element test module
# @author amaury darsch

# get the library
interp:library "afnix-www"

# check for a default ref element
trans  ref  (afnix:www:HtmlRef)
assert true (afnix:www:html-ref-p ref)

# set and text the text
ref:set-text "hello"
assert "hello" (ref:get-text)

# check for a path element
trans  ref     (afnix:www:HtmlRef "http://www.afnix.org" "hello")
assert "hello" (ref:get-text)

