<?xml version="1.0"?>

<!-- ====================================================================== -->
<!-- = info.xsl                                                           = -->
<!-- = afnix documentation xslt with xhtml output : header processing     = -->
<!-- ====================================================================== -->
<!-- = This  program  is  free  software; you  can redistribute it and/or = -->
<!-- = modify it provided that this copyright notice is kept intact.      = -->
<!-- = This program is distributed in the hope that it will be useful but = -->
<!-- = without  any  warranty;  without  even  the  implied  warranty  of = -->
<!-- = merchantability or fitness for  a  particular purpose. In no event = -->
<!-- = shall  the  copyright  holder be liable for any  direct, indirect, = -->
<!-- = incidental  or special  damages arising  in any way out of the use = -->
<!-- = of this software.                                                  = -->
<!-- ====================================================================== -->
<!-- = copyright (c) 2005-2005 - amaury darsch                            = -->
<!-- ====================================================================== -->

<xsl:stylesheet version="1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns="http://www.w3.org/1999/xhtml">

 <!-- the document title --> 
 <xsl:variable name="info.title">
   <xsl:value-of select="/axim/info/title"/>
 </xsl:variable>

 <!-- the document meta info template -->
 <xsl:template match="info">
  <!-- the title element -->
  <title>
   <xsl:value-of select="$info.title"/>
  </title>
  <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
  <style type="text/css">
    @import url(<xsl:value-of select="$head.css"/>);
  </style>
 </xsl:template>
 
</xsl:stylesheet>

