# ---------------------------------------------------------------------------
# - t_7503.als                                                              -
# - afnix:www library test module                                           -
# ---------------------------------------------------------------------------
# - This program is free software;  you can redistribute it  and/or  modify -
# - it provided that this copyright notice is kept intact.                  -
# -                                                                         -
# - This program  is  distributed in  the hope  that it will be useful, but -
# - without  any  warranty;  without  even   the   implied    warranty   of -
# - merchantability or fitness for a particular purpose.  In no event shall -
# - the copyright holder be liable for any  direct, indirect, incidental or -
# - special damages arising in any way out of the use of this software.     -
# ---------------------------------------------------------------------------
# - copyright (c) 1999-2005 amaury darsch                                   -
# ---------------------------------------------------------------------------

# @info   afnix:www html tag test module
# @author amaury darsch

# get the library
interp:library "afnix-www"

# check for a simple tag
trans  tag  (afnix:www:HtmlTag)
assert true (afnix:www:html-tag-p tag)
assert ""   (tag:get-name)
assert ""   (tag:get-value)

# check for a complex tag
trans  tag     (afnix:www:HtmlTag "hello" "world")
assert "hello" (tag:get-name)
assert "world" (tag:get-value)

# reset tag and check value
tag:reset
assert ""   (tag:get-name)
assert ""   (tag:get-value)

# set tag value again
tag:set-name  "hello"
tag:set-value "world"
assert "hello" (tag:get-name)
assert "world" (tag:get-value)

# check string representation
assert "hello=\"world\"" (tag:to-string)
